[arch-commits] Commit in at-spi2-core/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jan Steffens heftig at archlinux.org
Tue Sep 10 18:58:17 UTC 2019


    Date: Tuesday, September 10, 2019 @ 18:58:17
  Author: heftig
Revision: 362137

archrelease: copy trunk to extra-x86_64

Added:
  at-spi2-core/repos/extra-x86_64/PKGBUILD
    (from rev 362136, at-spi2-core/trunk/PKGBUILD)
Deleted:
  at-spi2-core/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   88 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 44 insertions(+), 44 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-10 18:58:00 UTC (rev 362136)
+++ PKGBUILD	2019-09-10 18:58:17 UTC (rev 362137)
@@ -1,44 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: Ionut Biru <ibiru at archlinux.org>
-
-pkgname=at-spi2-core
-pkgver=2.32.1
-pkgrel=1
-pkgdesc="Protocol definitions and daemon for D-Bus at-spi"
-url="https://gitlab.gnome.org/GNOME/at-spi2-core"
-arch=(x86_64)
-license=(GPL2)
-depends=(dbus glib2 libxtst)
-makedepends=(gobject-introspection git gtk-doc meson dbus-broker)
-optdepends=('dbus-broker: Alternative bus implementation')
-_commit=89001a86a037cfabf27e912b902929b5daeb3c55  # tags/AT_SPI2_CORE_2_32_1^0
-source=("git+https://gitlab.gnome.org/GNOME/at-spi2-core.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^AT_SPI2_CORE_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-}
-
-build() {
-  arch-meson $pkgname build \
-    -D default_bus=dbus-broker \
-    -D docs=true
-  ninja -C build
-}
-
-check() {
-  # memory test fails without desktop
-  # broker fails to launch without journald
-  dbus-run-session meson test -C build || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-}
-
-# vim:set ts=2 sw=2 et:

Copied: at-spi2-core/repos/extra-x86_64/PKGBUILD (from rev 362136, at-spi2-core/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-09-10 18:58:17 UTC (rev 362137)
@@ -0,0 +1,44 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=at-spi2-core
+pkgver=2.34.0
+pkgrel=1
+pkgdesc="Protocol definitions and daemon for D-Bus at-spi"
+url="https://gitlab.gnome.org/GNOME/at-spi2-core"
+arch=(x86_64)
+license=(GPL2)
+depends=(dbus glib2 libxtst)
+makedepends=(gobject-introspection git gtk-doc meson dbus-broker)
+optdepends=('dbus-broker: Alternative bus implementation')
+_commit=6da122f1e8d6b02dda0f368610ab72fc3d1720cf  # tags/AT_SPI2_CORE_2_34_0^0
+source=("git+https://gitlab.gnome.org/GNOME/at-spi2-core.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^AT_SPI2_CORE_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  arch-meson $pkgname build \
+    -D default_bus=dbus-broker \
+    -D docs=true
+  ninja -C build
+}
+
+check() {
+  # memory test fails without desktop
+  # broker fails to launch without journald
+  dbus-run-session meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list